diff -urN pure-0.5p/Makefile pure-0.6p/Makefile
--- pure-0.5p/Makefile	Wed Jun  6 01:24:51 2001
+++ pure-0.6p/Makefile	Mon Sep 17 00:34:36 2001
@@ -1,6 +1,6 @@
 #
 # Makefile for PURE
-# $Id: Makefile,v 1.6 2001/06/05 16:24:51 simm Exp $
+# $Id: Makefile,v 1.7 2001/09/16 15:30:24 simm Exp $
 #
 
 #EMACS	= mule
@@ -12,7 +12,9 @@
 CFLAGS="-O2 -Wall"
 LDFLAGS=""
 
-DEST	=
+PACKDIR	=
+LISPDIR	=
+BINDIR	=
 
 all: c lisp
 
@@ -23,14 +25,14 @@
 	$(EMACS) $(BYTECOMP) -f make-pure-compile
 
 install: c
-	$(EMACS) $(BYTECOMP) -f make-pure-install $(DEST)
+	$(EMACS) $(BYTECOMP) -f make-pure-install lispdir=$(LISPDIR) bindir=$(BINDIR)
 	cd c ; $(MAKE) clean
 
 package:
 	$(XEMACS) $(BYTECOMP) -f make-pure-compile
 
 install-package: c
-	$(XEMACS) $(BYTECOMP) -f make-pure-package $(DEST)
+	$(XEMACS) $(BYTECOMP) -f make-pure-package packagedir=$(PACKDIR) lispdir=$(LISPDIR) bindir=$(BINDIR)
 
 clean:
 	cd c ; $(MAKE) clean
diff -urN pure-0.5p/make.el pure-0.6p/make.el
--- pure-0.5p/make.el	Wed Jun  6 01:27:39 2001
+++ pure-0.6p/make.el	Mon Sep 17 00:34:36 2001
@@ -5,7 +5,7 @@
 ;; Author: SHIMADA Mitsunobu <simm@pure.fan.gr.jp>
 ;; Keywords: PURE, make, install
 
-;; $Id: make.el,v 1.11 2001/06/05 16:27:39 simm Exp $
+;; $Id: make.el,v 1.12 2001/09/16 15:30:24 simm Exp $
 
 ;; This file is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
@@ -52,6 +52,11 @@
 	"pure-pr-server.el"
 	"pure-vs.el"))
 
+(defun make-pure-bindir (&optional default)
+  (let ((bindir (or (pure-make-get-argument 'bindir) default pure-make-bindir)))
+    (if (stringp bindir) (pure-make-directory bindir))
+    bindir))
+
 (defun make-pure-compile ()
   (pure-make-compile-lisp make-pure-lispfile-list 'pure-cs 'pure-vs))
 
@@ -59,26 +64,33 @@
   (make-pure-compile)
   (pure-make-install-current-lisp
    make-pure-lispfile-list
-   (or (car command-line-args-left) "pure"))
-  (let ((puresv (concat "puresv" pure-make-exec-ext))
-	(dccput (concat "dccput" pure-make-exec-ext))
-	(dccget (concat "dccget" pure-make-exec-ext)))
-    (if (file-exists-p (concat "c/" puresv))
-	(copy-file (concat "c/" puresv) (expand-file-name puresv pure-make-bindir) t t))
-    (if (file-exists-p (concat "c/" dccput))
-	(copy-file (concat "c/" dccput) (expand-file-name dccput pure-make-bindir) t t))
-    (if (file-exists-p (concat "c/" dccget))
-	(copy-file (concat "c/" dccget) (expand-file-name dccget pure-make-bindir) t t))))
+   ;;(or (car command-line-args-left) "pure"))
+   (or (pure-make-get-argument 'lispdir) "pure"))
+  (message "Install binary files...")
+  (mapcar
+   (function
+    (lambda (item)
+      (if (file-exists-p (concat "c/" item pure-make-exec-ext))
+	  (progn
+	    (copy-file (concat "c/" item pure-make-exec-ext)
+		       (expand-file-name (concat item pure-make-exec-ext) (make-pure-bindir))
+		       t t)
+	    (message "%s%s -> %s%s"
+		     item pure-make-exec-ext
+		     (expand-file-name item (make-pure-bindir)) pure-make-exec-ext)))))
+   '("puresv" "dccput" "dccget")))
 
 (defun make-pure-package ()
-  (make-pure-compile)
-  (pure-make-install-package
-   make-pure-lispfile-list
-   "pure"
-   (or (car command-line-args-left) pure-make-package-base)
-   (cons (cons (concat "puresv" pure-make-exec-ext) "c") 'etcdir)
-   (cons (cons (concat "dccput" pure-make-exec-ext) "c") 'etcdir)
-   (cons (cons (concat "dccget" pure-make-exec-ext) "c") 'etcdir)))
+  (if (pure-make-get-argument 'lispdir)
+      (make-pure-install)
+    (make-pure-compile)
+    (pure-make-install-package
+     make-pure-lispfile-list
+     "pure"
+     (or (pure-make-get-argument 'packagedir) pure-make-package-base)
+     (cons (cons (concat "puresv" pure-make-exec-ext) "c") (make-pure-bindir 'etcdir))
+     (cons (cons (concat "dccput" pure-make-exec-ext) "c") (make-pure-bindir 'etcdir))
+     (cons (cons (concat "dccget" pure-make-exec-ext) "c") (make-pure-bindir 'etcdir)))))
 
 ;; That's all
 (provide 'make)
diff -urN pure-0.5p/pure-cs-japanese.el pure-0.6p/pure-cs-japanese.el
--- pure-0.5p/pure-cs-japanese.el	Sun Jun 10 23:34:40 2001
+++ pure-0.6p/pure-cs-japanese.el	Sat Sep  1 04:33:54 2001
@@ -3,9 +3,9 @@
 ;; Copyright (C) 2000-2001 by Project Pure.
 
 ;; Author: SHIMADA Mitsunobu <simm@pure.fan.gr.jp>
-;; Keywords: PURE, coding-system, ISO-2022, JISX0201, $(BH>3Q%+%J(B
+;; Keywords: PURE, coding-system, ISO-2022, JISX0201, $BH>3Q%+%J(B
 
-;; $Id: pure-cs-japanese.el,v 1.2 2001/06/10 14:30:26 simm Exp $
+;; $Id: pure-cs-japanese.el,v 1.3 2001/07/28 16:36:15 simm Exp $
 
 ;; This file is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
@@ -35,28 +35,28 @@
   "If non-nil, output message when non-ISO-2022-JP string was given.")
 
 (defconst pure-cs-japanese-kana-twobytes-character-alist
-  '((")I¶Þ" . "$(B%,(B") ("·Þ" . "$(B%.(B") ("¸Þ" . "$(B%0(B") ("¹Þ" . "$(B%2(B") ("ºÞ" . "$(B%4(B")-A
-    (")I»Þ" . "$(B%6(B") ("¼Þ" . "$(B%8(B") ("½Þ" . "$(B%:(B") ("¾Þ" . "$(B%<(B") ("¿Þ" . "$(B%>(B")-A
-    (")IÀÞ" . "$(B%@(B") ("ÁÞ" . "$(B%B(B") ("ÂÞ" . "$(B%E(B") ("ÃÞ" . "$(B%G(B") ("ÄÞ" . "$(B%I(B")-A
-    (")IÊÞ" . "$(B%P(B") ("ËÞ" . "$(B%S(B") ("ÌÞ" . "$(B%V(B") ("ÍÞ" . "$(B%Y(B") ("ÎÞ" . "$(B%\(B")-A
-    (")IÊß" . "$(B%Q(B") ("Ëß" . "$(B%T(B") ("Ìß" . "$(B%W(B") ("Íß" . "$(B%Z(B") ("Îß" . "$(B%](B")-A
-    (")I³Þ" . "$(B%t(B")))-A
+  '(("(I6^(B" . "$B%,(B") ("(I7^(B" . "$B%.(B") ("(I8^(B" . "$B%0(B") ("(I9^(B" . "$B%2(B") ("(I:^(B" . "$B%4(B")
+    ("(I;^(B" . "$B%6(B") ("(I<^(B" . "$B%8(B") ("(I=^(B" . "$B%:(B") ("(I>^(B" . "$B%<(B") ("(I?^(B" . "$B%>(B")
+    ("(I@^(B" . "$B%@(B") ("(IA^(B" . "$B%B(B") ("(IB^(B" . "$B%E(B") ("(IC^(B" . "$B%G(B") ("(ID^(B" . "$B%I(B")
+    ("(IJ^(B" . "$B%P(B") ("(IK^(B" . "$B%S(B") ("(IL^(B" . "$B%V(B") ("(IM^(B" . "$B%Y(B") ("(IN^(B" . "$B%\(B")
+    ("(IJ_(B" . "$B%Q(B") ("(IK_(B" . "$B%T(B") ("(IL_(B" . "$B%W(B") ("(IM_(B" . "$B%Z(B") ("(IN_(B" . "$B%](B")
+    ("(I3^(B" . "$B%t(B")))
 
 (defconst pure-cs-japanese-kana-onebyte-character-alist
-  '((")I§" . "$(B%!(B") ("¨" . "$(B%#(B") ("©" . "$(B%%(B") ("ª" . "$(B%'(B") ("«" . "$(B%)(B")-A
-    (")I¬" . "$(B%c(B") ("­" . "$(B%e(B") ("®" . "$(B%g(B") ("¯" . "$(B%C(B")-A
-    (")I±" . "$(B%"(B") ("²" . "$(B%$(B") ("³" . "$(B%&(B") ("´" . "$(B%((B") ("µ" . "$(B%*(B")-A
-    (")I¶" . "$(B%+(B") ("·" . "$(B%-(B") ("¸" . "$(B%/(B") ("¹" . "$(B%1(B") ("º" . "$(B%3(B")-A
-    (")I»" . "$(B%5(B") ("¼" . "$(B%7(B") ("½" . "$(B%9(B") ("¾" . "$(B%;(B") ("¿" . "$(B%=(B")-A
-    (")IÀ" . "$(B%?(B") ("Á" . "$(B%A(B") ("Â" . "$(B%D(B") ("Ã" . "$(B%F(B") ("Ä" . "$(B%H(B")-A
-    (")IÅ" . "$(B%J(B") ("Æ" . "$(B%K(B") ("Ç" . "$(B%L(B") ("È" . "$(B%M(B") ("É" . "$(B%N(B")-A
-    (")IÊ" . "$(B%O(B") ("Ë" . "$(B%R(B") ("Ì" . "$(B%U(B") ("Í" . "$(B%X(B") ("Î" . "$(B%[(B")-A
-    (")IÏ" . "$(B%^(B") ("Ð" . "$(B%_(B") ("Ñ" . "$(B%`(B") ("Ò" . "$(B%a(B") ("Ó" . "$(B%b(B")-A
-    (")IÔ" . "$(B%d(B") ("Õ" . "$(B%f(B") ("Ö" . "$(B%h(B")-A
-    (")I×" . "$(B%i(B") ("Ø" . "$(B%j(B") ("Ù" . "$(B%k(B") ("Ú" . "$(B%l(B") ("Û" . "$(B%m(B")-A
-    (")IÜ" . "$(B%o(B") ("¦" . "$(B%r(B") ("Ý" . "$(B%s(B")-A
-    (")I¤" . "$(B!"(B") ("¡" . "$(B!#(B") ("¥" . "$(B!&(B")-A
-    (")IÞ" . "$(B!+(B") ("ß" . "$(B!,(B") ("°" . "$(B!<(B") ("¢" . "$(B!V(B") ("£" . "$(B!W(B")))-A
+  '(("(I'(B" . "$B%!(B") ("(I((B" . "$B%#(B") ("(I)(B" . "$B%%(B") ("(I*(B" . "$B%'(B") ("(I+(B" . "$B%)(B")
+    ("(I,(B" . "$B%c(B") ("(I-(B" . "$B%e(B") ("(I.(B" . "$B%g(B") ("(I/(B" . "$B%C(B")
+    ("(I1(B" . "$B%"(B") ("(I2(B" . "$B%$(B") ("(I3(B" . "$B%&(B") ("(I4(B" . "$B%((B") ("(I5(B" . "$B%*(B")
+    ("(I6(B" . "$B%+(B") ("(I7(B" . "$B%-(B") ("(I8(B" . "$B%/(B") ("(I9(B" . "$B%1(B") ("(I:(B" . "$B%3(B")
+    ("(I;(B" . "$B%5(B") ("(I<(B" . "$B%7(B") ("(I=(B" . "$B%9(B") ("(I>(B" . "$B%;(B") ("(I?(B" . "$B%=(B")
+    ("(I@(B" . "$B%?(B") ("(IA(B" . "$B%A(B") ("(IB(B" . "$B%D(B") ("(IC(B" . "$B%F(B") ("(ID(B" . "$B%H(B")
+    ("(IE(B" . "$B%J(B") ("(IF(B" . "$B%K(B") ("(IG(B" . "$B%L(B") ("(IH(B" . "$B%M(B") ("(II(B" . "$B%N(B")
+    ("(IJ(B" . "$B%O(B") ("(IK(B" . "$B%R(B") ("(IL(B" . "$B%U(B") ("(IM(B" . "$B%X(B") ("(IN(B" . "$B%[(B")
+    ("(IO(B" . "$B%^(B") ("(IP(B" . "$B%_(B") ("(IQ(B" . "$B%`(B") ("(IR(B" . "$B%a(B") ("(IS(B" . "$B%b(B")
+    ("(IT(B" . "$B%d(B") ("(IU(B" . "$B%f(B") ("(IV(B" . "$B%h(B")
+    ("(IW(B" . "$B%i(B") ("(IX(B" . "$B%j(B") ("(IY(B" . "$B%k(B") ("(IZ(B" . "$B%l(B") ("(I[(B" . "$B%m(B")
+    ("(I\(B" . "$B%o(B") ("(I&(B" . "$B%r(B") ("(I](B" . "$B%s(B")
+    ("(I$(B" . "$B!"(B") ("(I!(B" . "$B!#(B") ("(I%(B" . "$B!&(B")
+    ("(I^(B" . "$B!+(B") ("(I_(B" . "$B!,(B") ("(I0(B" . "$B!<(B") ("(I"(B" . "$B!V(B") ("(I#(B" . "$B!W(B")))
 
 (defun pure-cs-japanese-kana-convert-region (beg end)
   "Convert JISX0201 kana code into JISX0208"
@@ -67,15 +67,15 @@
       (save-restriction
 	(while (re-search-forward "\\ck" end t)
 	  (setq ch (char-before))
-	  (cond ((and (= ch ?)I¥) (looking-at "¥"))-A
+	  (cond ((and (= ch ?(I%(B) (looking-at "(I%(B"))
 		 (delete-backward-char 1)
-		 (if (looking-at ")I¥¥")-A
+		 (if (looking-at "(I%%(B")
 		     (progn
 		       (delete-char 2)
-		       (insert "$(B!D(B"))
+		       (insert "$B!D(B"))
 		   (delete-char 1)
-		   (insert "$(B!E(B")))
-		((looking-at "[)IÞß]")-A
+		   (insert "$B!E(B")))
+		((looking-at "[(I^_(B]")
 		 (backward-char)
 		 (setq ch (cdr (assoc (buffer-substring (point) (+ 2 (point)))
 				      pure-cs-japanese-kana-twobytes-character-alist)))
@@ -149,7 +149,6 @@
   (unwind-protect
       (save-restriction
 	(narrow-to-region beg end)
-	(pure-cs-buffer-unibyte)
 	(let (ch result (eflag nil) (sflag nil) (escore 0) (sscore 0))
 	  (save-excursion
 	    (goto-char beg)
diff -urN pure-0.5p/pure-cs.el pure-0.6p/pure-cs.el
--- pure-0.5p/pure-cs.el	Wed Jun  6 23:23:06 2001
+++ pure-0.6p/pure-cs.el	Sat Sep  1 04:33:54 2001
@@ -5,7 +5,7 @@
 ;; Author: SHIMADA Mitsunobu <simm@pure.fan.gr.jp>
 ;; Keywords: PURE, coding-system
 
-;; $Id: pure-cs.el,v 1.5 2001/06/06 14:23:06 simm Exp $
+;; $Id: pure-cs.el,v 1.7 2001/07/28 16:36:15 simm Exp $
 
 ;; This file is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
@@ -89,6 +89,7 @@
                result of FUNC evaluation (if CODING is nil)"
   (or (pure-cs-detect-primitive string coding)
       (with-temp-buffer
+	(pure-cs-buffer-unibyte)
 	(insert string)
 	(funcall func (point-min) (point-max)))))
 
@@ -108,15 +109,17 @@
       (goto-char beg)
       (narrow-to-region beg end)
       (while (re-search-forward "\033" nil t)
-	(if (looking-at pure-cs-iso646-ank-regexp)
-	    (let ((tmpstr (decode-coding-string (buffer-substring pt (match-end 0)) 'x-ctext))
-		  (nchars (if pt (- (match-end 0) pt) 3)))
-	      (goto-char pt)
-	      (delete-char nchars)
-	      (insert (make-string nchars (or char pure-cs-hiding-char)))
-	      (add-text-properties pt (point) (list 'pure-cs-decode tmpstr) (current-buffer))
-	      (setq pt nil nchars nil))
-	  (or pt (setq pt (1- (point)))))))))
+	(if (null pt)
+	    (setq pt (1- (point)))
+	  (if (looking-at pure-cs-iso646-ank-regexp)
+	      (let ((tmpstr
+		     (decode-coding-string (buffer-substring pt (match-end 0)) 'x-ctext))
+		    (nchars (if pt (- (match-end 0) pt) 3)))
+		(goto-char pt)
+		(delete-char nchars)
+		(insert (make-string nchars (or char pure-cs-hiding-char)))
+		(add-text-properties pt (point) (list 'pure-cs-decode tmpstr) (current-buffer))
+		(setq pt nil nchars nil))))))))
 
 (defun pure-cs-unhide-region (beg end coding)
   "Decode region with coding-system CODING, with text-property retains."
diff -urN pure-0.5p/pure-make.el pure-0.6p/pure-make.el
--- pure-0.5p/pure-make.el	Tue Jan  2 00:34:10 2001
+++ pure-0.6p/pure-make.el	Mon Sep 17 00:34:37 2001
@@ -5,7 +5,7 @@
 ;; Author: SHIMADA Mitsunobu <simm@irc.fan.gr.jp>
 ;; Keywords: PURE, make, install
 
-;; $Id: pure-make.el,v 1.4 2001/01/01 15:34:10 simm Exp $
+;; $Id: pure-make.el,v 1.5 2001/09/16 15:30:24 simm Exp $
 
 ;; This file is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
@@ -90,15 +90,41 @@
 	 dir))
   "Directory of XEmacs package base. If FSF-Emacs, NIL.")
 
+(defvar pure-make-arguments
+  (let ((alist nil) (rest command-line-args-left))
+    (while rest
+      (if (string-match "^\\([^=]+\\)=\\(.+\\)" (car rest))
+	  (setq alist (cons
+		       (cons
+			(intern
+			 (downcase (substring (car rest) (match-beginning 1) (match-end 1))))
+			(substring (car rest) (match-beginning 2) (match-end 2)))
+		       alist)))
+      (setq rest (cdr rest)))
+    alist)
+  "Command line argunents for installation.
+This variable assumes that command line (in Makefile) format is formatted below:
+  $(EMACS) $(BYTECOMP) -f make-pure-install packagedir=$(PACKDIR) lispdir=$(LISPDIR)")
+
+(defun pure-make-get-argument (symbol)
+  "Get argument value that equals to SYMBOL, from `pure-make-arguments'"
+  (cdr (assq symbol pure-make-arguments)))
+
 (defun pure-make-directory (dir)
   "Make directory named `dir'. If `dir' exists, do nothing.
 If `dir'-named file exists, error occurs."
-  (if (file-exists-p dir)
-      (if (not (file-directory-p dir))
-	  (error "Canot make directory `%s': file `%s' exists." dir dir))
-    (if (fboundp 'make-directory-internal)
-	(make-directory-internal dir)
-      (call-process "mkdir" nil nil nil dir))))
+  (let ((parent (if (string-match "\\(.*\\)/[^/]*" dir)
+		    (substring dir (match-beginning 1) (match-end 1))
+		  dir)))
+    (or (file-exists-p parent)
+	(pure-make-directory parent))
+    (if (file-exists-p dir)
+	(if (not (file-directory-p dir))
+	    (error "Canot make directory `%s'" dir))
+      (if (fboundp 'make-directory-internal)
+	  (make-directory-internal dir)
+	(call-process "mkdir" nil nil nil dir))
+      dir)))
 
 (defun pure-make-get-filename (item)
   "Get filename from `item'.
@@ -171,25 +197,30 @@
 	 (lispbase (expand-file-name "lisp/" pbase))
 	 (lispdir  (expand-file-name package lispbase))
 	 (etcbase  (expand-file-name "etc/" pbase))
-	 (etcdir   (expand-file-name package etcbase))
-	 (infodir  (expand-file-name "pkginfo/" pbase)))
-    (mapcar
-     '(lambda (item) (pure-make-directory item))
-     (list pbase lispbase lispdir etcbase etcdir infodir))
+	 (etcdir   (expand-file-name package etcbase)))
+    (pure-make-directory lispdir)
     (pure-make-install-current-lisp list lispdir)
+    (message "Install other files...")
     (mapcar
-     '(lambda (item)
+     (function
+      (lambda (item)
 	(or (and (consp item)
 	         (stringp (car item))
 	         (symbolp (cdr item))
-	         (copy-file (car item) (expand-file-name (car item) (eval (cdr item))) t t))
+	         (progn
+		   (copy-file (car item) (expand-file-name (car item) (eval (cdr item))) t t)
+		   (message "%s -> %s"
+			    (car item) (expand-file-name (car item) (eval (cdr item))))))
 	    (and (consp item)
 		 (consp (car item))
 		 (stringp (caar item))
 		 (stringp (cdar item))
-		 (symbolp (cdr item))
-		 (copy-file (expand-file-name (caar item) (cdar item))
-			    (expand-file-name (caar item) (eval (cdr item))) t t))))
+		 (progn
+		   (copy-file (expand-file-name (caar item) (cdar item))
+			      (expand-file-name
+			       (caar item) (pure-make-directory (eval (cdr item)))) t t)
+		   (message "%s -> %s"
+			    (caar item) (expand-file-name (caar item) (eval (cdr item)))))))))
      alist)))
 
 ;; That's all
diff -urN pure-0.5p/pure-pr-ipaddr.el pure-0.6p/pure-pr-ipaddr.el
--- pure-0.5p/pure-pr-ipaddr.el	Tue May  1 00:04:28 2001
+++ pure-0.6p/pure-pr-ipaddr.el	Sat Sep  1 04:33:55 2001
@@ -5,7 +5,7 @@
 ;; Author: SHIMADA Mitsunobu <simm@pure.fan.gr.jp>
 ;; Keywords: PURE, process, TCP, network, IP adress
 
-;; $Id: pure-pr-ipaddr.el,v 1.2 2001/04/30 15:04:28 simm Exp $
+;; $Id: pure-pr-ipaddr.el,v 1.3 2001/07/09 16:12:51 simm Exp $
 
 ;; This file is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
@@ -63,7 +63,7 @@
 	    (setq res "")
 	  (setq res (number-to-string (/ num 390625))
 		num (% num 390625)))
-	(concat res (number-to-string (+ ip0 (* 256 num))))))))
+	(format "%s%08d" res (+ ip0 (* 256 num)))))))
 
 ;; That's all
 (provide 'pure-pr-ipaddr)
diff -urN pure-0.5p/pure-vs.el pure-0.6p/pure-vs.el
--- pure-0.5p/pure-vs.el	Sun Jun 10 23:08:22 2001
+++ pure-0.6p/pure-vs.el	Mon Sep 17 00:43:41 2001
@@ -5,7 +5,7 @@
 ;; Author: SHIMADA Mitsunobu <simm@pure.fan.gr.jp>
 ;; Keywords: PURE, version-string
 
-;; $Id: pure-vs.el,v 1.6 2001/04/30 15:15:20 simm Exp $
+;; $Id: pure-vs.el,v 1.7 2001/06/28 15:18:02 simm Exp $
 
 ;; This file is free software; you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
@@ -37,7 +37,7 @@
   "Major version number of PURE current version")
 ;(defconst pure-version-minor 0
 ;  "Minor version number of PURE current version")
-(defconst pure-version-branch 5
+(defconst pure-version-branch 6
   "Branch number of PURE current version")
 (defconst pure-version-cvs nil
   "If non-nil, this version of PURE is CVS version.
